Gestiono
Referencia de APIAccounting / Division

Update Division

PATCH /v1/division • validated by `patchDivision`

← Back to full API reference
PATCH/v1/divisionAuthentication required
  • Validated by Zod schema: patchDivision.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • id (required)

    Type: number

  • name

    Type: string

  • type

    Enum-like validator generated by zodFromObj

  • subDivisionOf

    Type: number

  • linkedWarehouse

    Type: number

  • metadata

    Type: unknown

  • lat

    Type: number

  • lon

    Type: number

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "id": 1
}

Sample response

json
{
  "divisionId": "<value>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

PATCH/v1/divisionAuthentication required

Group: Accounting / Division

PATCH /v1/division • validated by `patchDivision`

  • Validated by Zod schema: patchDivision.

Body fields

  • idrequired
    Type: number
  • name
    Type: string
  • type
    Enum-like validator generated by zodFromObj
  • subDivisionOf
    Type: number
  • linkedWarehouse
    Type: number
  • metadata
    Type: unknown
  • lat
    Type: number
  • lon
    Type: number

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.